Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Upload image

Uploads an image by either URL or file. If both a URL and file are provided, the URL will be used over the file. A URL can be provided without a file, and vice versa. Deprecated: use POST /api/v2/{team_slug}/{app_slug}/dam/images instead.

PUT/api/v1/{team_slug}/{app_slug}/imagesdeprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
connect_to_skuboolean

Try to connect the image to a product or variant using the filename. If filename matches an existing product or variant do we connect it. Priority can be set via a numeric suffix (sku_3) or an uppercase letter suffix A-Z (sku_A, where A=1 through Z=26). If the format don't match sku_priority (e.g sku.jpeg) do we fallback to priority 10

connect_to_slugboolean

Try to connect the image to a product usign the filename. If filename matches an existing product do we connect it. Priority can be set via a numeric suffix (slug_3) or an uppercase letter suffix A-Z (slug_A, where A=1 through Z=26). If the format don't match slug_priority (e.g slug.jpeg) do we fallback to priority 10

connect_to_variant_groupboolean

Try to connect the image to a variant group using the filename. Format: productNumber_variantGroupSlug[_priority].extension where priority is numeric or uppercase A-Z (A=1 through Z=26). Example: 2512301_102.jpg links product 2512301 variant group slug 102.

Request body
application/x-www-form-urlencoded
titlestring

Image title

altstring

Alternative image text

copyrightstring

Image copyright text

imageany

Image file to upload

urlstring

Url to source file. Url will be used if provided over file

filenamestring

Custom filename (without extension)

overwriteboolean

Overwrite the existing image with the same filename instead of creating a new one. Requires filename

blurhashstring

Optional precomputed blurhash. If provided, generation is skipped

parent_idstring

Parent image ID

Responses
200

Image uploaded successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithUsedByrequired
Show properties
altstring | null
app_idstring | null
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
blurhashstring
copyrightstring | null
customobject | null
folder_idstring
idstring
parent_idstring | null
publicboolean
statusstring
titlestring | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation
Show properties
altgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
copyrightgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
titlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
urlstring
used_bygithub_com_enadhq_nabbit_internal_pkg_webserver_models.AssetConsumer[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.AssetConsumer
created_atstring
idstring
namestring
priorityinteger
slugstring
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageConsumerType
Allowed:productvariantattributevariant_group
updated_atstring | null
variantsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Image[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Image
altstring | null
app_idstring | null
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
blurhashstring
copyrightstring | null
customobject | null
folder_idstring
idstring
parent_idstring | null
publicboolean
statusstring
titlestring | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation
urlstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/x-www-form-urlencoded
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/images' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -d 'title=string&alt=string&copyright=string&image=null&url=string&filename=string&overwrite=true&blurhash=string&parent_id=string'
Response
{
  "data": {
    "alt": "string",
    "app_id": "string",
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "blurhash": "string",
    "copyright": "string",
    "custom": {
      "property1": "string",
      "property2": "string"
    },
    "folder_id": "string",
    "id": "string",
    "parent_id": "string",
    "public": true,
    "status": "string",
    "title": "string",
    "translations": {
      "alt": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "copyright": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "url": "string",
    "used_by": [
      {
        "created_at": "string",
        "id": "string",
        "name": "string",
        "priority": 0,
        "slug": "string",
        "type": "product",
        "updated_at": "string"
      }
    ],
    "variants": [
      {
        "alt": "string",
        "app_id": "string",
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "blurhash": "string",
        "copyright": "string",
        "custom": {
          "property1": "string",
          "property2": "string"
        },
        "folder_id": "string",
        "id": "string",
        "parent_id": "string",
        "public": true,
        "status": "string",
        "title": "string",
        "translations": {
          "alt": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "copyright": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "title": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "url": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}